nr1 = L_TOT/(vel*dt)+1;

%-- Contact force for all four spans

figure('Units','pixels','Position',[100 100 500 375]);
hold on;

hfcont = line(xp(1:1:nr1),P(1,1:nr1));
set(hfcont,'Linewidth',1.5);

Fmean3 = mean(P) % Mean contact force of whole span
Fstd3 = std(P)   % Standard deviation of contact force of whole span

hXLabel = xlabel('Location [m]');
hYLabel = ylabel('Contact force F [N]');
set([hXLabel,hYLabel],'FontSize',12,'FontName','Times New Roman');
set(gca,'FontName','Times New Roman');
set(gca,'Box','off','TickDir','out','TickLength',[.02 .02],...
    'XMinorTick','on','YMinorTick','on','YGrid','on','XColor',...
    [.3 .3 .3],'YColor',[.3 .3 .3],'LineWidth',1);

%-- Contact force for span 3

figure('Units','pixels','Position',[100 100 500 375]);
hold on;

trainhit = (80/vel)/dt+1;       % Time entry when train hits point x=80m
trainhit2 = (120/vel)/dt+1;     % Time entry when train hits point x=120m

Fmean3 = mean(P(trainhit:trainhit2))    %Mean contact force of span 3
Fstd3 = std(P(trainhit:trainhit2))      %Stdev of contact force of span 3

hfcont = line(xp(trainhit:trainhit2),P(trainhit:trainhit2));
set(hfcont,'Linewidth',1.5);


hXLabel = xlabel('Location [m]');
hYLabel = ylabel('Contact force F [N]');
set([hXLabel,hYLabel],'FontSize',12,'FontName','Times New Roman');
set(gca,'FontName','Times New Roman');
set(gca,'Box','off','TickDir','out','TickLength',[.02 .02],...
    'XMinorTick','on','YMinorTick','on','YGrid','on','XColor',...
    [.3 .3 .3],'YColor',[.3 .3 .3],'YTick',0:20:250,'LineWidth',1);