dropp1 = 15;
dropp2 = 18;

%-- Difference in displacement of the two droppers, 15 and 18

DROPP_DISP = D_dyn(n_dropp1(dropp1),:)-D_dyn(n_dropp(dropp1),:);
DROPP_DISP1 = D_dyn(n_dropp1(dropp2),:)-D_dyn(n_dropp(dropp1),:);

%-- Plot dropper 15 displacement difference

figure('Units','pixels','Position',[100 100 500 375]);
hold on;

hdynmid = line(t,DROPP_DISP);
set(hdynmid,'Linewidth',1.5);

trainhit = round((DROPP_LOC(dropp1)/vel)/dt); %Train hits dropper 15
trainhit1 = plot(t(trainhit),DROPP_DISP(trainhit));

set(trainhit1                         , ...
  'Marker'          , 'o'         , ...
  'MarkerSize'      , 8           , ...
  'MarkerEdgeColor' , [.2 .2 .2]  , ...
  'MarkerFaceColor' , [.7 .7 .7]  );

hXLabel = xlabel('Time [s]');
hYLabel = ylabel('\Delta Height [m]');
hLegend = legend([trainhit1],'Point when train passes','Location','best');
set([hLegend, gca]             , ...
    'FontSize'   , 8           );
set([hXLabel,hYLabel],'FontSize',12,'FontName','Times New Roman');
set(gca,'FontName','Times New Roman');
set(gca,'Box','off','TickDir','out','TickLength',[.02 .02],...
    'XMinorTick','on','YMinorTick','on','YGrid','on','XColor',...
    [.3 .3 .3],'YColor',[.3 .3 .3],'LineWidth',1);

% -- Plot dropper 18 displacement diference

figure('Units','pixels','Position',[100 100 500 375]);
hold on;

hdynmid = line(t,DROPP_DISP1);
set(hdynmid,'Linewidth',1.5);

trainhit = round((DROPP_LOC(dropp2)/vel)/dt); %Train hits dropper 18
trainhit1 = plot(t(trainhit),DROPP_DISP1(trainhit));

set(trainhit1                         , ...
  'Marker'          , 'o'         , ...
  'MarkerSize'      , 8           , ...
  'MarkerEdgeColor' , [.2 .2 .2]  , ...
  'MarkerFaceColor' , [.7 .7 .7]  );

hXLabel = xlabel('Time [s]');
hYLabel = ylabel('\Delta Height [m]');
hLegend = legend([trainhit1],'Point when train passes','Location','best');
set([hLegend, gca]             , ...
    'FontSize'   , 8           );
set([hXLabel,hYLabel],'FontSize',12,'FontName','Times New Roman');
set(gca,'FontName','Times New Roman');
set(gca,'Box','off','TickDir','out','TickLength',[.02 .02],...
    'XMinorTick','on','YMinorTick','on','YGrid','on','XColor',...
    [.3 .3 .3],'YColor',[.3 .3 .3],'LineWidth',1);
