
%-- Plot vertical displacement of point x=80m

figure('Units','pixels','Position',[100 100 500 375]);
hold on;

hdynmid = line(t,D_dyn(321,:));
set(hdynmid,'Linewidth',1.5);

disptemp = find(D_dyn(321,:)>1e-5); 
wavehit = disptemp(1);              %Wave hits x=80m
wpv = 80/(disptemp(1)*dt)*3600/1e3  %Wave propagation  velocity
wpvmark = plot(t(wavehit),D_dyn(321,wavehit));
set(wpvmark,'LineWidth'       , 1           , ...
  'Marker'          , 'o'         , ...
  'MarkerSize'      , 8           , ...
  'MarkerEdgeColor' ,  'none' , ...
  'MarkerFaceColor' , 'r'  );

trainhit = (80/vel)/dt+1; %Train hits x=80m
trainhit1 = plot(t(trainhit),D_dyn(321,trainhit));

hLegend = legend([hdynmid wpvmark trainhit1],'Dynamic displacement', ...
  'Point when wave hits','Point when train passes');
set(trainhit1                         , ...
  'Marker'          , 'o'         , ...
  'MarkerSize'      , 8           , ...
  'MarkerEdgeColor' , [.2 .2 .2]      , ...
  'MarkerFaceColor' , [.7 .7 .7] );

hXLabel = xlabel('Time [s]');
hYLabel = ylabel('Displacement [m]');
set([hLegend, gca]             , ...
    'FontSize'   , 8           );
set([hXLabel,hYLabel],'FontSize',12,'FontName','Times New Roman');
set(gca,'FontName','Times New Roman');
set(gca,'Box','off','TickDir','out','TickLength',[.02 .02],...
    'XMinorTick','on','YMinorTick','on','YGrid','on','XColor',...
    [.3 .3 .3],'YColor',[.3 .3 .3],'LineWidth',1);

%-- Plot vertical displacement of point x=90m

figure('Units','pixels','Position',[100 100 500 375]);
hold on;

hdynmid = line(t,D_dyn(361,:));
set(hdynmid,'Linewidth',1.5);

disptemp = find(D_dyn(361,:)>1e-5);
wavehit = disptemp(1);              %Wave hits x=90m
wpv = 90/(disptemp(1)*dt)*3600/1e3  %Wave propagation  velocity
wpvmark = plot(t(wavehit),D_dyn(401,wavehit));
set(wpvmark,'LineWidth'       , 1           , ...
  'Marker'          , 'o'         , ...
  'MarkerSize'      , 8           , ...
  'MarkerEdgeColor' , 'none'      , ...
  'MarkerFaceColor' , 'r' );

trainhit = round((90/vel)/dt)+1; %Train hits x=90m
trainhit1 = plot(t(trainhit),D_dyn(361,trainhit));
hLegend = legend([hdynmid wpvmark trainhit1],'Dynamic displacement', ...
  'Point when wave hits','Point when train passes');
set(trainhit1                         , ...
  'Marker'          , 'o'         , ...
  'MarkerSize'      , 8           , ...
  'MarkerEdgeColor' , [.2 .2 .2]  , ...
  'MarkerFaceColor' , [.7 .7 .7]  );

hXLabel = xlabel('Time [s]');
hYLabel = ylabel('Displacement [m]');
set([hLegend, gca]             , ...
    'FontSize'   , 8           );
set([hXLabel,hYLabel],'FontSize',12,'FontName','Times New Roman');
set(gca,'FontName','Times New Roman');
set(gca,'Box','off','TickDir','out','TickLength',[.02 .02],...
    'XMinorTick','on','YMinorTick','on','YGrid','on','XColor',...
    [.3 .3 .3],'YColor',[.3 .3 .3],'LineWidth',1);

%-- Plot vertical displacement of point x=100m

figure('Units','pixels','Position',[100 100 500 375]);
hold on;

hdynmid = line(t,D_dyn(401,:));
set(hdynmid,'Linewidth',1.5);

disptemp = find(D_dyn(401,:)>1e-5);
wavehit = disptemp(1);              %Wave hits x=100m
wpv = 100/(disptemp(1)*dt)*3600/1e3 %Wave propagation  velocity
wpvmark = plot(t(wavehit),D_dyn(401,wavehit));
set(wpvmark,'LineWidth'       , 1           , ...
  'Marker'          , 'o'         , ...
  'MarkerSize'      , 8           , ...
  'MarkerEdgeColor' , 'none'      , ...
  'MarkerFaceColor' , 'r' );

trainhit = round((100/vel)/dt)+1; %Train hits x=100m
trainhit1 = plot(t(trainhit),D_dyn(401,trainhit));
hLegend = legend([hdynmid wpvmark trainhit1],'Dynamic displacement', ...
  'Point when wave hits','Point when train passes');
set(trainhit1                         , ...
  'Marker'          , 'o'         , ...
  'MarkerSize'      , 8           , ...
  'MarkerEdgeColor' , [.2 .2 .2]  , ...
  'MarkerFaceColor' , [.7 .7 .7]  );

hXLabel = xlabel('Time [s]');
hYLabel = ylabel('Displacement [m]');
set([hLegend, gca]             , ...
    'FontSize'   , 8           );
set([hXLabel,hYLabel],'FontSize',12,'FontName','Times New Roman');
set(gca,'FontName','Times New Roman');
set(gca,'Box','off','TickDir','out','TickLength',[.02 .02],...
    'XMinorTick','on','YMinorTick','on','YGrid','on','XColor',...
    [.3 .3 .3],'YColor',[.3 .3 .3],'LineWidth',1);
