%
% m-file:      Geometry.m
%
% Purpose:     Calculate initial geometry of the wires
%
% Written by:  Arnar Kari Hallgrimsson, Spring 2013
%

function [x,y] = Geometry(NOE,SPANS,L_TOT,DROPP_LOC0,DROPP_HI)


%-- Calculations for getting y-values of the messenger wire

NOE1 = NOE/SPANS/2;
x_CW = linspace(0,L_TOT,NOE/2+1);
x_MW = linspace(L_TOT,L_TOT*2,NOE/2+1);
y_CW = zeros(1,length(x_CW));
y_MW0 = linspace(0,L_TOT/SPANS,NOE1+1);

SPANDROPP = [0 DROPP_LOC0 L_TOT/SPANS];
SPANNR = 1:length(DROPP_LOC0)+1;
y_MW0(1) = DROPP_HI(1);

for i = 2:length(y_MW0);
    tempans = find(SPANDROPP<x_CW(i));
    itemp = SPANNR(tempans(end));
    kgrad = (DROPP_HI(itemp+1)-DROPP_HI(itemp))/(SPANDROPP(itemp+1)-SPANDROPP(itemp));
    y0 = DROPP_HI(itemp+1)-kgrad*SPANDROPP(itemp+1);
    y_MW0(i) = kgrad*x_CW(i)+y0;
end

for i = 1:NOE1:length(x_CW)-1
    y_MW(i:NOE1+i) = y_MW0;
end

x = [x_CW x_MW];
y = [y_CW y_MW];