
%-- Plots intial geometry with static displacement due to gravity

figure('Units','pixels','Position',[100 100 500 375]);
hold on;

hcw0 = line(x(1:end/2),y(1:end/2));
hmw0 = line(x(1:end/2),y(end/2+1:end));
hcw1 = line(x(1:end/2),D_stat(1:2:NOFN));
hmw1 = line(x(1:end/2),y(end/2+1:end)'+D_stat(NOFN+2:3:NDOF));

for i = 1:length(DROPP_LOC)
    line([DROPP_LOC(i) DROPP_LOC(i)],[0 DROPP_HI1(i)],'linewidth',1.5)
end

set(hcw0,'Linewidth',1.5)
set(hmw0,'Linewidth',1.5)
set(hcw1,'Linestyle','--','Linewidth',1.5)
set(hmw1,'Linestyle','--','Linewidth',1.5)

hXLabel = xlabel('Location [m]');
hYLabel = ylabel('Height [m]');
hLegend = legend([hcw0 hcw1],'Initial geometry','Static displacement');

set([hXLabel,hYLabel],'FontSize',12,'FontName','Times New Roman');
set([hLegend,gca],'FontSize',10,'FontName','Times New Roman');
set(gca,'FontName','Times New Roman');

set(gca,'Box','off','TickDir','out','TickLength',[.02 .02],...
    'XMinorTick','on','YMinorTick','on','YGrid','on','XColor',...
    [.3 .3 .3],'YColor',[.3 .3 .3],'LineWidth',1);

%-- Maximum static displacements in the contact and messenger wire

D_stat_max_cw = max(abs(D_stat(1:2:NOFN)))
D_stat_max_mw = max(abs(D_stat(NOFN+2:3:NDOF)))

%-- Plots only static displacement in the third span

figure('Units','pixels','Position',[100 100 500 375]);
hold on;

hcw1 = line(x(161:241),D_stat(321:2:481));

set(hcw1,'Linewidth',1.5)


hXLabel = xlabel('Location [m]');
hYLabel = ylabel('Displacement [m]');

set([hXLabel,hYLabel],'FontSize',12,'FontName','Times New Roman');
set(gca,'FontName','Times New Roman');

ylim([-0.15 0.15])

set(gca,'Box','off','TickDir','out','TickLength',[.02 .02],...
    'XMinorTick','on','YMinorTick','on','YGrid','on','XColor',...
    [.3 .3 .3],'YColor',[.3 .3 .3],'LineWidth',1);
