
%-- Plost the initial geometry of the model for all spans

figure('Units','pixels','Position',[100 100 500 375]);
hold on;

hcw = line(x(1:end/2),y(1:end/2));
hmw = line(x(1:end/2),y(end/2+1:end));

for i = 1:length(DROPP_LOC)
    line([DROPP_LOC(i) DROPP_LOC(i)],[0 DROPP_HI1(i)],'linewidth',1.5)
end

set(hcw,'Linewidth',1.5)
set(hmw,'Linewidth',1.5)

hXLabel = xlabel('Location [m]');
hYLabel = ylabel('Height [m]');

set([hXLabel,hYLabel],'FontSize',12,'FontName','Times New Roman');
set(gca,'FontName','Times New Roman');

set(gca,'Box','off','TickDir','out','TickLength',[.02 .02],...
    'XMinorTick','on','YMinorTick','on','YGrid','on','XColor',...
    [.3 .3 .3],'YColor',[.3 .3 .3],'LineWidth',1);

set(gcf, 'PaperPositionMode', 'auto');
print -depsc2 sthemodel.eps
close;

fixPSlinestyle('sthemodel.eps', 'sthemodel.eps');