%
% m-file:      CatenaryResponse.m
%
% Purpose:     Builds up mass, stiffness and mass matrices for the WBL 88
%              pantograph
%
% Written by:  Arnar Kari Hallgrimsson, Spring 2013
%

function [MG,CG,KG,F0] = WBL88(MG,CG,KG)

M1 = 2.3;
M2 = 16.5;

C1 = 10;
C2 = 0;
C3 = 63.5;

K1 = 3100;

F0 = (5+55);

MP = [2*M1 0;0 M2];
CP = [2*C1 -2*C1;-2*C1 2*C1+C3];
KP = [2*K1 -2*K1;-2*K1 2*K1];

MG(end+1:end+2,end+1:end+2) = MP;
KG(end+1:end+2,end+1:end+2) = KP;
CG(end+1:end+2,end+1:end+2) = CP;