%
% m-file:      CatenaryResponse.m
%
% Purpose:     Global damping matrix is formulated using the method
%              proposed by Wilson and Penzien
%
% Written by:  Arnar Kari Hallgrimsson, Spring 2013
%

function [CG] = WilsonPenziendamping(omeg,V,MC,xiw,n_dropp,n_dropp1,...
    DROPP_C,NDOF)

CG = zeros(NDOF);
xiwp = linspace(xiw(2),xiw(1),NDOF);

for i = 1:length(V)
CG = 2*xiwp(i)*omeg(i)*MC*V(:,i)*V(:,i)'*MC+CG;
end

%--- Add damping from droppers ---

for i = 1:length(n_dropp)
    CG(n_dropp(i),n_dropp(i)) = CG(n_dropp(i),n_dropp(i))+DROPP_C;
    CG(n_dropp(i),n_dropp1(i)) = -DROPP_C;
    CG(n_dropp1(i),n_dropp(i)) = -DROPP_C;
    CG(n_dropp1(i),n_dropp1(i)) = CG(n_dropp1(i),n_dropp1(i))+DROPP_C;
end