%
% m-file:      CatenaryResponse.m
%
% Purpose:     Adds individual contribution to stiffness and mass matrices
%              from registration arms, support bracket and droppers
%
% Written by:  Arnar Kari Hallgrimsson, Spring 2013
%

function [KG,MG,FG,n_dropp,n_dropp1] = indadd(KG,MG,FG,...
    DROPP_LOC,NDOF,IK,IM,x,NOE,SPANS,NOFN,g)

%--- Registration arm  and Supporting bracket ---   
    
for i = 1:(NOE/SPANS):NOFN
%     KG(i,i) = KG(i,i)+IK(5);
    KG(i,i) = KG(i,i)+IK(1);
%     MG(i,i) = MG(i,i)+IM(5);
    MG(i,i) = MG(i,i)+IM(1);
end

for i = NOFN+1:(NOE/SPANS)/2*3:NDOF
    KG(i,i) = KG(i,i)+IK(4);
    MG(i,i) = MG(i,i)+IM(4);   
    KG(i+1,i+1) = KG(i+1,i+1)+IK(3);
    MG(i+1,i+1) = MG(i+1,i+1)+IM(3);
end

%--- Droppers ---

n_dr = length(DROPP_LOC);
n_dropp = zeros(1,n_dr);
n_dropp1 = n_dropp;

for i = 1:n_dr
    n_dropp(1,i) = find(x==DROPP_LOC(i))*2-1;
    n_dropp1(1,i) = find(x==DROPP_LOC(i))*3-1+NOFN;
end

for i = 1:length(n_dropp)
    KG(n_dropp(i),n_dropp(i)) = KG(n_dropp(i),n_dropp(i))+IK(2);
    MG(n_dropp(i),n_dropp(i)) = MG(n_dropp(i),n_dropp(i))+IM(2);
    
    KG(n_dropp1(i),n_dropp1(i)) = KG(n_dropp1(i),n_dropp1(i))+IK(2);
    MG(n_dropp1(i),n_dropp1(i)) = MG(n_dropp(i),n_dropp(i))+IM(2);
    
    KG(n_dropp(i),n_dropp1(i)) = -IK(2);
    KG(n_dropp1(i),n_dropp(i)) = -IK(2);
    
    FG(n_dropp(i)) = FG(n_dropp(i))+g*IM(2);
    FG(n_dropp(i)+NOFN) = FG(n_dropp(i)+NOFN)+g*IM(2);
end